CREATE TABLE CRST_AP_CHECKS
(
  AMOUNT                          NUMBER,
  BANK_ACCOUNT_ID                 NUMBER(15),
  BANK_ACCOUNT_NAME               VARCHAR2(80 BYTE),
  CHECK_DATE                      DATE,
  CHECK_ID                        NUMBER(15),
  CHECK_NUMBER                    NUMBER(15),
  CURRENCY_CODE                   VARCHAR2(15 BYTE),
  LAST_UPDATED_BY                 NUMBER(15),
  LAST_UPDATE_DATE                DATE,
  PAYMENT_METHOD_LOOKUP_CODE      VARCHAR2(25 BYTE),
  PAYMENT_TYPE_FLAG               VARCHAR2(25 BYTE),
  ADDRESS_LINE1                   VARCHAR2(240 BYTE),
  ADDRESS_LINE2                   VARCHAR2(240 BYTE),
  ADDRESS_LINE3                   VARCHAR2(240 BYTE),
  CHECKRUN_NAME                   VARCHAR2(50 BYTE),
  CHECK_FORMAT_ID                 NUMBER(15),
  CHECK_STOCK_ID                  NUMBER(15),
  CITY                            VARCHAR2(25 BYTE),
  COUNTRY                         VARCHAR2(25 BYTE),
  CREATED_BY                      NUMBER(15),
  CREATION_DATE                   DATE,
  LAST_UPDATE_LOGIN               NUMBER(15),
  STATUS_LOOKUP_CODE              VARCHAR2(25 BYTE),
  VENDOR_NAME                     VARCHAR2(240 BYTE),
  VENDOR_SITE_CODE                VARCHAR2(15 BYTE),
  ZIP                             VARCHAR2(20 BYTE),
  BANK_ACCOUNT_NUM                VARCHAR2(30 BYTE),
  BANK_ACCOUNT_TYPE               VARCHAR2(25 BYTE),
  BANK_NUM                        VARCHAR2(25 BYTE),
  CHECK_VOUCHER_NUM               NUMBER(16),
  CLEARED_AMOUNT                  NUMBER,
  CLEARED_DATE                    DATE,
  DOC_CATEGORY_CODE               VARCHAR2(30 BYTE),
  DOC_SEQUENCE_ID                 NUMBER,
  DOC_SEQUENCE_VALUE              NUMBER,
  PROVINCE                        VARCHAR2(150 BYTE),
  RELEASED_AT                     VARCHAR2(18 BYTE),
  RELEASED_BY                     NUMBER(15),
  STATE                           VARCHAR2(150 BYTE),
  STOPPED_AT                      VARCHAR2(18 BYTE),
  STOPPED_BY                      NUMBER(15),
  VOID_DATE                       DATE,
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY              VARCHAR2(150 BYTE),
  FUTURE_PAY_DUE_DATE             DATE,
  TREASURY_PAY_DATE               DATE,
  TREASURY_PAY_NUMBER             NUMBER(15),
  USSGL_TRANSACTION_CODE          VARCHAR2(30 BYTE),
  USSGL_TRX_CODE_CONTEXT          VARCHAR2(30 BYTE),
  WITHHOLDING_STATUS_LOOKUP_CODE  VARCHAR2(25 BYTE),
  RECONCILIATION_BATCH_ID         NUMBER(15),
  CLEARED_BASE_AMOUNT             NUMBER,
  CLEARED_EXCHANGE_RATE           NUMBER,
  CLEARED_EXCHANGE_DATE           DATE,
  CLEARED_EXCHANGE_RATE_TYPE      VARCHAR2(30 BYTE),
  ADDRESS_LINE4                   VARCHAR2(240 BYTE),
  COUNTY                          VARCHAR2(150 BYTE),
  ADDRESS_STYLE                   VARCHAR2(30 BYTE),
  ORG_ID                          NUMBER(15),
  VENDOR_ID                       NUMBER(15),
  VENDOR_SITE_ID                  NUMBER(15),
  EXCHANGE_RATE                   NUMBER,
  EXCHANGE_DATE                   DATE,
  EXCHANGE_RATE_TYPE              VARCHAR2(30 BYTE),
  BASE_AMOUNT                     NUMBER,
  CHECKRUN_ID                     NUMBER(15),
  REQUEST_ID                      NUMBER(15),
  CLEARED_ERROR_AMOUNT            NUMBER,
  CLEARED_CHARGES_AMOUNT          NUMBER,
  CLEARED_ERROR_BASE_AMOUNT       NUMBER,
  CLEARED_CHARGES_BASE_AMOUNT     NUMBER,
  POSITIVE_PAY_STATUS_CODE        VARCHAR2(25 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  TRANSFER_PRIORITY               VARCHAR2(25 BYTE),
  EXTERNAL_BANK_ACCOUNT_ID        NUMBER(15),
  STAMP_DUTY_AMT                  NUMBER,
  STAMP_DUTY_BASE_AMT             NUMBER,
  MRC_CLEARED_BASE_AMOUNT         VARCHAR2(2000 BYTE),
  MRC_CLEARED_EXCHANGE_RATE       VARCHAR2(2000 BYTE),
  MRC_CLEARED_EXCHANGE_DATE       VARCHAR2(2000 BYTE),
  MRC_CLEARED_EXCHANGE_RATE_TYPE  VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE               VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_DATE               VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE_TYPE          VARCHAR2(2000 BYTE),
  MRC_BASE_AMOUNT                 VARCHAR2(2000 BYTE),
  MRC_CLEARED_ERROR_BASE_AMOUNT   VARCHAR2(2000 BYTE),
  MRC_CLEARED_CHARGES_BASE_AMT    VARCHAR2(2000 BYTE),
  MRC_STAMP_DUTY_BASE_AMT         VARCHAR2(2000 BYTE),
  MATURITY_EXCHANGE_DATE          DATE,
  MATURITY_EXCHANGE_RATE_TYPE     VARCHAR2(30 BYTE),
  MATURITY_EXCHANGE_RATE          NUMBER,
  DESCRIPTION                     VARCHAR2(240 BYTE),
  ACTUAL_VALUE_DATE               DATE,
  ANTICIPATED_VALUE_DATE          DATE,
  RELEASED_DATE                   DATE,
  STOPPED_DATE                    DATE,
  MRC_MATURITY_EXG_DATE           VARCHAR2(2000 BYTE),
  MRC_MATURITY_EXG_RATE           VARCHAR2(2000 BYTE),
  MRC_MATURITY_EXG_RATE_TYPE      VARCHAR2(2000 BYTE),
  IBAN_NUMBER                     VARCHAR2(40 BYTE),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  CREATED_BY_NAME                 VARCHAR2(100),
  RELEASED_BY_NAME                VARCHAR2(100),
  STOPPED_BY_NAME                 VARCHAR2(100),
  ORG_NAME                        VARCHAR2(100),
  VENDOR_NAME_N                   VARCHAR2(100),
  VENDOR_SITE_CODE_N              VARCHAR2(100)
);